#!/bin/ash
#201208 sfs

ico=youtube-vlc
msg1="YouTube 1080p в VLC"
msg2="Просмотр YouTube в VLC с разрешением 1080"
msg3="Чем больше разрешение - тем больше нагрузка на CPU и канал.
Для уменьшения нагрузки используйте VDPAU (нужен mesa*.pfs). Так менее ресурсоемко и без рекламы по сравнению с браузером
Инструменты - Настройки - Видео - Вывод - VDPAU
Посмотреть в VLC разрешение и пр. параметры медиафайла : Ctrl+j"

if [ ! "`which youtube-dl`" ] ;then
    ntf -q "$msg2 " "возможен только при наличии youtube-dl.
Без него будет 720. Можно уменьшить в настройках VLC: 
<i>Инструменты - Настройки - Все - Ввод\кодеки - Разрешение видео</i>
Подключить?" || exit 1
    sfs-get-dep youtube-dl
fi

action=$(yad --width=800 --window-icon=/usr/share/pixmaps/$ico.svg --center --title="$msg1" --image="$ico" \
       --entry --entry-label=URL: --text "<b><big><big>$msg2</big></big></b> 
$msg3" --button=VDPAU!gtk-help:3 --button="YouTube в VLC"!gtk-help:4 --button=gtk-cancel --button=gtk-ok:0 ) #|| exit 1
x="$?"
echo $x
[ "$x" = 3 ] && { defaultbrowser "https://forum.puppyrus.org/index.php?topic=17445.msg108139#msg108139"  ; $0 ; }
[ "$x" = 4 ] && { defaultbrowser "https://forum.puppyrus.org/index.php?topic=20811.msg145009#msg145009"  ; $0 ; }
if [ "$x" = 0 ];then
    paste=$(echo $action)
    youtube-vlc "$paste" &
fi
